Bug 1286444 - (eegdev) Review Request: eegdev - Library to acquire data from various EEG recording devices
Review Request: eegdev - Library to acquire data from various EEG recording d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: xdffileio
Blocks: fedora-neuro eegview
  Show dependency treegraph
 
Reported: 2015-11-29 09:51 EST by Igor Gnatenko
Modified: 2015-12-09 15:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-29 09:51:57 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/eegdev.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/eegdev-0.2-1.fc24.src.rpm
Description:
eegdev is a library that provides a unified interface for accessing various EEG
(and other biosignals) acquisition systems. This interface has been designed to
be both flexible and efficient. The device specific part is implemented by the
mean of plugins which makes adding new device backend fairly easy even if the
library does not support them yet officially.

The core library not only provides to users a unified and consistent interfaces
to the acquisition device but it also provides many functionalities to the
device backends (plugins) ranging from configuration to data casting and scaling
making writing new device backend an easy task.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-30 15:11:42 EST
BR: libtool seems to be missing.

- Provides: bundled(gnulib) in place as required.
  Note: Bundled gnulib but no Provides: bundled(gnulib)
  See:
  http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Requirement_if_you_bundle

- Recommends: eegdev-plugins on the main package would be nice.

Review:

- license is OK
- license file is present, %license is used
- scriptlets are sane
- provides/requirements are sane (except BR).
- latest version
- name is OK
- builds and installs fine, eegview on top runs fine
- rpmlint:

eegdev.src: W: spelling-error %description -l en_US biosignals -> bio signals, bio-signals, signals
eegdev.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
eegdev.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
eegdev.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
eegdev.x86_64: W: spelling-error %description -l en_US biosignals -> bio signals, bio-signals, signals
eegdev.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
eegdev.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
eegdev.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
eegdev.x86_64: W: shared-lib-calls-exit /usr/lib64/libeegdev.so.0.0.2 exit@GLIBC_2.2.5
eegdev-devel.x86_64: W: only-non-binary-in-usr-lib
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

All OK.

Requires
--------
eegdev (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

eegdev-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    eegdev(x86-64)
    libeegdev.so.0()(64bit)
    pkgconfig(libusb-1.0)
    pkgconfig(xdffileio)

eegdev-debuginfo (rpmlib, GLIBC filtered):

eegdev-plugins (rpmlib, GLIBC filtered):
    eegdev(x86-64)
    libbluetooth.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libexpat.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libpthread.so.0()(64bit)
    libusb-1.0.so.0()(64bit)
    libxdffileio.so.0()(64bit)
    rtld(GNU_HASH)

Provides
--------
eegdev:
    eegdev
    eegdev(x86-64)
    libeegdev.so.0()(64bit)

eegdev-devel:
    eegdev-devel
    eegdev-devel(x86-64)
    pkgconfig(eegdev)

eegdev-debuginfo:
    eegdev-debuginfo
    eegdev-debuginfo(x86-64)

eegdev-plugins:
    eegdev-plugins
    eegdev-plugins(x86-64)

Unversioned so-files
--------------------
eegdev-plugins: /usr/lib64/eegdev/biosemi.so
eegdev-plugins: /usr/lib64/eegdev/datafile.so
eegdev-plugins: /usr/lib64/eegdev/neurosky.so
eegdev-plugins: /usr/lib64/eegdev/tobiia.so

Looks nice. Please fix up the Requires/Provides/Recommends when importing.

Package is APPROVED.
Comment 2 Gwyn Ciesla 2015-11-30 15:43:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/eegdev
Comment 3 Fedora Update System 2015-11-30 18:17:05 EST
eegdev-0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ace16753f
Comment 4 Fedora Update System 2015-12-01 17:30:38 EST
eegdev-0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eegdev'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6ace16753f
Comment 5 Fedora Update System 2015-12-09 15:49:58 EST
eegdev-0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.